File: test-requirements.txt

package info (click to toggle)
python-cliff 3.4.0-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 596 kB
  • sloc: python: 4,617; makefile: 32; sh: 13
file content (17 lines) | stat: -rw-r--r-- 585 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

python-subunit>=1.0.0 # Apache-2.0/BSD
stestr>=1.0.0 # Apache-2.0
testtools>=2.2.0 # MIT
testscenarios>=0.4 # Apache-2.0/BSD

coverage!=4.4,>=4.0 # Apache-2.0

# sphinx is required in test-requirements in addition to doc/requirements
# because there is a sphinx extension that has tests
sphinx>=2.0.0,!=2.1.0 # BSD

# Bandit security code scanner
bandit>=1.1.0 # Apache-2.0